apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: example-frontend-ingress
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/proxy-body-size: 256m
spec:
  tls:
    - hosts:
        - example.com
      secretName: exampleorg-tls
  rules:
    - host: example.com
      http:
        paths:
          - path: /*(/|$)(.*)
            pathType: Prefix
            backend:
              service:
                name: website
                port:
                  number: 80
